plot.print.tip.lowess {sma} | R Documentation

## M vs. A Plot with print tip lowess lines

### Description

For a single slide, this function produces a scatter plot of log intensity ratios M = log_2(R/G) versus average log intensities A = log_2(R*G)/2, where R and G represent the fluorescence intensities in the red and green channels respectively. Superimposed on this plot are individual lowess smootherlines, one for each pin group.

### Usage

    plot.print.tip.lowess(x, layout, norm="n", image.id=1,palette = rainbow(layout$ngrid.r*layout$ngrid.c), lty.palette = rep(1,layout$ngrid.r*layout$ngrid.c),...)

### Arguments

`x`

A list with at least 4 elements. Each element of the list being a matrix with p rows for p genes and n columns for n slides. The first element 'R' contains the raw red intensities, the second element 'G' contains the raw green intensities, the third element 'Rb' contains the background red intensities and the 4th element 'Gb' contains the background green intensities. This data structure can be generated by an interactive function `init.data`.

`layout` | a list specifying the dimensions of the spot matrix and the grid matrix. This can be generated by calling `init.grid`.
`norm` | character string, one of "n", "m", "l", "p" or "s". This argument specifies the type of normalization method to be performed: "n" no normalization between the 2 channels; "m" `median` normalization, which sets the median of log intensity ratios to zero; "l" global `lowess` normalization; "p" print-tip group lowess normalization and "s" scaled print-tip group lowess normalization.
`image.id` | integer value; the index of the slide which is considered.
`palette` | Vector of color values to color each of the print tip lowess lines
`lty.palette` | A vector of line types for each of the print tip lowess lines
`...` | graphical parameters may also be supplied as arguments to the function (see `par`).

### Details

M vs. A plots tend to be more revealing than their log R vs. log G counterparts in terms of identifying spot artifacts and detecting intensity dependent patterns in the log ratios. They are also very useful for normalization.

### Value

A plot is created on the current graphics device. The top plot is based on unnormalized log ratios and the bottom plot is based on normalized log ratios.

### Author(s)

Ben Bolstad bolstad@stat.berkeley.edu

### References

S. Dudoit, Y. H. Yang, M. J. Callow, and T. P. Speed. Statistical methods for identifying differentially expressed genes in replicated cDNA microarray experiments (Statistics, UC Berkeley, Tech Report # 578).

### See Also

`ma.func`, `plot.smooth.line`, `stat.ma`, `lowess`, `plot`.

### Examples

    data(MouseArray)
    # mouse.setup <- init.grid()
    # mouse.data <- init.data() ## see \emph{init.data}
    plot.print.tip.lowess(mouse.data,mouse.setup)

[Package sma version 0.5.14 Index]